Name:		xsupplicant
Summary:	Open Source Implementation of IEEE 802.1x
Version:	1.2.8
Release:	10%{?dist}
License:	GPLv2+
Group:		System Environment/Base
URL:		http://www.open1x.org/
Source0:	http://download.sourceforge.net/open1x/xsupplicant-%{version}.tar.gz
# Source1:	v19wireless.h
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	openssl-devel, bison, flex, openjade, lynx, jadetex
BuildRequires:	docbook-dtds, docbook-style-dsssl, wireless-tools-devel
Patch0:		xsupplicant-1.2.2-docsfix.patch
Patch2:		xsupplicant-1.2.8-nocompilerh-systemheaders.patch
Patch3:		xsupplicant-1.2.8-iwlibfix.patch

%description
This software allows a GNU/Linux or BSD workstation to authenticate with
a RADIUS server using 802.1x and various EAP protocols.  The intended
use is for computers with wireless LAN connections to complete a strong
authentication before joining the network.

%package devel
Summary:	Development files for xsupplicant
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries and headers for xsupplicant.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1 -b .iwlib

perl -pi.orig -e 's|/lib\b|/%{_lib}|g' configure*

%build
%configure
# _smp_mflags makes this app go BOOM
make
# cd doc
# ./builddocs.sh
# cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -D -m0600 etc/xsupplicant.conf $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.conf

# Multilib fix
# touch -r README doc/pdf/Open1x-UserGuide.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc/README* etc/*.conf
# %%doc doc/html/ doc/txt/ doc/pdf
%config(noreplace) %{_sysconfdir}/xsupplicant.conf
%{_bindir}/config-parser
%{_bindir}/xsup_monitor
%{_bindir}/xsup_ntpwdhash
%{_bindir}/xsup_set_pwd
%{_bindir}/xsup_get_state
%{_sbindir}/xsupplicant

%files devel
%defattr(-,root,root,-)
%{_includedir}/xsupconfcheck.h
%{_includedir}/xsupconfig.h
%{_includedir}/xsupconfwrite.h
%{_includedir}/xsupgui.h
%{_libdir}/libxsup*.a

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 1.2.8-9
- rebuild with new openssl

* Tue Jul  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-8
- fix iwlib handling

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-7
- rebuild against fixed kernel headers

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.8-6.2
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-5.2
- give up on trying to build the docs

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-5.1
- Fix docs patch so docs regenerate

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.2.8-5
- Rebuild for deps

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.4
- fix it again!

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.3
- fix docs patch

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.2
- multilib fix (bz 228395)

* Tue Aug 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.1
- fix iwlibpatch in devel

* Tue Aug 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4
- rebuild for BuildID

* Mon Aug  6 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-3
- fix xsupplicant to compile in devel (needs linux/if.h)
- fix doc generation
- fix license

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 1.2.8-2
- Rebuild against newer libiw.so

* Tue Nov 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-1
- everyone gets 1.2.8, close out bz 212700

* Tue Nov 21 2006 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 1.2.8-0
- update to 1.2.8
- removed xsupplicant-1.2.7-ducttapefixes.patch
- updated nocompilerh patch for latest version

* Sun Sep 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-3
- fix ducttape patch for FC-4/FC-5

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-2
- fix typo in FC-5 spec

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-1
- bump to 1.2.7

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.6-1
- bump to 1.2.6
- remove all includes for linux/compiler.h, its not needed (and not present on Fedora)
- remove hack for wireless.h for FC6+

* Fri Apr  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.4-1
- bump to 1.2.4

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.3-2
- whoops. missed a file.

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.3-1
- bump to 1.2.3
- split package into main and devel

* Tue Jan  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.2-7
- fix a possible bufferoverflow bz 170045

* Tue Nov  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-6
- compile fix

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-3
- still need half of the docsfix patch

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-2
- needs wireless tools to build

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-1
- bump to 1.2.2, should resolve bz 167467
- all patches obsoleted by upstream cleanups

* Fri Sep 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-5
- patch to try to resolve bz 167467

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-4
- use lynx instead of elinks

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-3
- BR: docbook-dtds, docbook-style-dsssl
- patch to use local docbookx.dtd

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-2
- the new doc generation tool has some new BR: openjade, elinks, jadetex

* Sat Sep  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-1
- bump to 1.2.1 release

* Fri Aug 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-1
- bump to 1.2 final

* Sat Aug 13 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-0.1.pre1
- initial package for Fedora Extras
